> For the complete documentation index, see [llms.txt](https://docs.nulink.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nulink.org/products/stakers/nulink_worker.md).

# NuLink Worker Installer

## Overview

The NuLink Worker is the node to provide cryptographic service in the NuLink network. It provides Proxy Re-encryption service in the Horus network and it will provide more services such as ABE, IBE, ZKP and FHE in NuLink mainnet. Only grid maintainers are required to run the NuLink Worker node. By continuously operating the worker node, grid maintainers remain eligible for rewards within the network.

There are four steps to run a NuLink Worker:

1. Create Worker Account
2. Bond the Worker Account with your grid
3. Install NuLink Worker
4. Configure and Run a Worker node

**Warning:** Do not use same address for staker account and worker account. Make sure to generate a new one for worker account.

## Minimum System Requirements

* Debian/Ubuntu (Recommended)
* 30GB available storage
* 4GB RAM
* x86 architecture
* **Static IP address**
* **Exposed TCP port 9151, make sure it's not occupied**
* Nodes can be run on cloud infrastructure.

## Create Worker Account

Prepare an ETH type account for the Worker. We suggest creating a Worker account different from the staking account.

If you already know how to create one and access the keystore file, you can skip this step. Otherwise we recommend you to use Geth to create the Worker account. Please check [here](/products/stakers/nulink_worker/eth_account.md) for details.

## Bond the Worker Account with your grid

Bond the worker account to your grid to get reward after successfully running a NuLink Worker node using the NuLink Staking Dashboard.

* Navigate to [NuLink Staking Dashboard](https://dashboard.testnet.nulink.org) and go to My Stake Grid Page
* Select the grid you wish to bond and Click “Bond Worker” button
* Enter the Worker address and Click “BOND” button
* Sign the bond transaction in metamask

![bond](/files/Lpugw8DCsntN0t81kD6o)

## Install NuLink Worker

Start to download and install NuLink Worker. Install it using Docker (recommended) or install it with local installation. See [here](/products/stakers/nulink_worker/worker_install.md) for more details.

## Initialize and Run a Worker Node

Initialize the configuration and start the Worker Node. If install via docker, need to initialize the configuration and run it in Docker. Otherwise please check [here](/products/stakers/nulink_worker/worker_running.md) for more details regarding local running.

After successfully running a worker node, you can check the Grid Status in the NuLink Staking Dashboard to confirm that it’s online or not.

![status](/files/FQuWTbBLXiqJSiFzRCBb)

Refer [here](/products/stakers/dashboardoverall.md) for more usage of NuLink Staking Dashboard.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nulink.org/products/stakers/nulink_worker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
